# Class FilesLocComparator

java.lang.Object
net.sf.statcvs.reports.FilesLocComparator

All Implemented Interfaces:
  `Serializable, Comparator`

public class FilesLocComparator extends Object implements Comparator, Serializable
Compares two files according to their lines of code

Version:
  $Id: FilesLocComparator.java,v 1.4 2009/08/20 17:44:05 benoitx Exp $
Author:
  Richard Cyganiak invalid input: '<'rcyg@gmx.de>
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FilesLocComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Object o1, Object o2)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### FilesLocComparator

public FilesLocComparator()

## Method Details

### compare

public int compare(Object o1, Object o2)

Specified by:
  `compare` in interface `Comparator`
See Also:
  - `Comparator.compare(java.lang.Object, java.lang.Object)`